package com.usky.dxtop.service;

import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.DreOrder;
import com.usky.dxtop.model.DreUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.service.vo.DreOrderRequest;
import com.usky.dxtop.service.vo.DreUserVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2022-08-15
 */
public interface DreUserService extends IService<DreUser> {


    CommonPage<DreUserVO> page(Integer current, Integer size,String name,Boolean isSend);


    void addList(List<DreUser> list);

    List<DreUserVO> list(String name,Boolean isSend);
}
