package com.usky.dxtop.service.vo;

import lombok.Data;
import oshi.driver.windows.wmi.Win32Processor;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2022/8/14 13:28
 */
@Data
public class DreOrderRequest {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;
    /**
     * 餐别
     */
    private String mType;
    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 订单状态集合
     */
    private List<Integer> statusList;

    /**
     * 下单人
     */
    private String orderUserName;
    /**
     * 点餐人联系电话
     */
    private String phone;

    /**
     * 接单人
     */
    private String receiveUserName;

    /**
     * 送单人
     */
    private String sendUserName;


    /**
     * 接单人编号
     */
    private Long receiveUserId;
    /**
     * 送单人编号
      */
    private Long sendUserId;
    /**
     * 下单人编号
      */
    private Long orderUserId;
}
