package com.usky.dxtop.service;

import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Company;
import com.usky.dxtop.model.DreOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.service.vo.DreOrderRequest;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2022-08-14
 */
public interface DreOrderService extends IService<DreOrder> {


    boolean add(DreOrder dreOrder);

    boolean update(DreOrder dreOrder);

    CommonPage<DreOrder> page(DreOrderRequest dreOrderRequest);

    String exportDetail(DreOrderRequest dreOrderRequest);
}
