package com.usky.dxtop.service;

import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.ProductInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.model.ProductType;
import com.usky.dxtop.service.vo.ProductInfoRequest;

/**
 * <p>
 * 商品详情 服务类
 * </p>
 *
 * @author yq
 * @since 2022-07-05
 */
public interface ProductInfoService extends IService<ProductInfo> {


    boolean add(ProductInfo productInfo);

    boolean update(ProductInfo productInfo);

    String checkNameUnique(ProductInfo productInfo);

    CommonPage<ProductInfo> list(ProductInfoRequest productInfoRequest);

    String export(ProductInfoRequest productInfoRequest);

    boolean remove(Long id);
}
