package com.usky.dxtop.service.vo;

import lombok.Data;
import oshi.driver.windows.wmi.Win32Processor;

import java.time.LocalTime;
import java.util.Date;

/**
 * @author yq
 * @date 2022/7/6 10:11
 */
@Data
public class ProductOrderRequest {

    /**
     * 页数
     */
    private Integer current;
    /**
     * 条数
     */
    private Integer size;

    /**
     * 预约时间
     */
    private Date appointmentTime;
    /**
     * 开始时间
     */
    private LocalTime startTime;
    /**
     * 结束时间
     */
    private LocalTime endTime;
    /**
     * 商品类别编号
      */
    private Long productTypeId;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 用户编号
     */
    private Long userId;

    /**
     * 订单状态
     */
    private Integer productStatus;
}
